Categories:
  - Navigation
License: Apache-2.0
WebSite: https://github.com/microg
SourceCode: https://github.com/microg/android_packages_apps_UnifiedNlp
IssueTracker: https://github.com/microg/android_packages_apps_UnifiedNlp/issues
Changelog: https://github.com/microg/android_packages_apps_UnifiedNlp/releases

Name: UnifiedNlp (no GAPPS)
AutoName: microG UnifiedNlp
Summary: Location provider middleware (UnifiedNlp)
Description: |-
    '''README:''' If this app shows as installed or as updateable but you don't
    recall installing it, you should completely ignore it as it will be useless to
    you and you will not be able to uninstall it nor update it. This is because the
    Google version comes preinstalled in your device already.

    Most modern ROMs come with support for non-Google geolocation providers. On
    these systems UnifiedNlp can be installed as a user app to replace the network
    location provider. It acts as a middleware for various plugins aka backends, it
    does not provide any location lookup itself. For further information please
    refer to the
    [https://github.com/microg/android_packages_apps_UnifiedNlp/blob/HEAD/README.md
    README].

    List of backends for geolocation:

    * [[org.microg.nlp.backend.apple]] uses Apple's Wifi database.
    * [[org.fitchfamily.android.gsmlocation]] uses downloaded GSM Cell data (local)
    * [[org.fitchfamily.android.wifi_backend]] uses (on-device generated) WiFi data (local)
    * [[org.fitchfamily.android.dejavu]] uses (on-device generated) WiFi + GSM Cell data (local)
    * [[org.microg.nlp.backend.ichnaea]] uses Mozilla Location Services
    * [[org.openbmap.unifiedNlp]] uses Radiocells.org

    List of backends for (reverse) geocoding:

    * [[org.microg.nlp.backend.nominatim]]

    After installing you have to reboot your device, install a backend service and
    activate/configure it in the app settings. After this you can use UnifiedNlp by
    activating network-based geolocation from Settings -> Location: You need to
    select any mode but "device only".

    NOTE: If you need to use UnifiedNlp beside GAPPS, you should instead install
    [[org.microg.nlp]].

RepoType: git
Repo: https://github.com/microg/android_packages_apps_UnifiedNlp/

Builds:
  - versionName: 1.1.3
    versionCode: 1103
    commit: v1.1.3
    gradle:
      - NetworkLocation

  - versionName: 1.2.0
    versionCode: 1200
    commit: v1.2.0
    submodules: true
    gradle:
      - NetworkLocation

  - versionName: 1.2.2
    versionCode: 1202
    commit: v1.2.2
    submodules: true
    gradle:
      - NetworkLocation

  - versionName: 1.3.0
    versionCode: 1300
    commit: v1.3.0
    submodules: true
    gradle:
      - NetworkLocation

  - versionName: 1.3.1
    versionCode: 10301
    commit: 4ee1acc7385bc592506ac632d7a87c08372e345e
    submodules: true
    gradle:
      - NetworkLocation

  - versionName: 1.4.0
    versionCode: 10400
    commit: v1.4.0
    subdir: unifiednlp-app
    submodules: true
    gradle:
      - NetworkLocation
    prebuild:
      - pushd ..
      - find . -type f -print0 -name build.gradle | xargs -0 sed -i -e '/com.github.dcendents/d'
      - popd

  - versionName: v1.6.2-dirty
    versionCode: 20142
    commit: v1.6.2
    subdir: unifiednlp-app
    submodules: true
    gradle:
      - NetworkLocation
    prebuild:
      - pushd ..
      - find . -type f -print0 -name build.gradle | xargs -0 sed -i -e '/com.github.dcendents/d'
      - popd

  - versionName: 1.6.5
    versionCode: 20160
    commit: v1.6.5
    subdir: unifiednlp-app
    submodules: true
    gradle:
      - NetworkLocation
    prebuild:
      - pushd ..
      - find . -type f -print0 -name build.gradle | xargs -0 sed -i -e '/com.github.dcendents/d'
      - popd

  - versionName: 1.6.6
    versionCode: 20161
    commit: v1.6.6
    subdir: unifiednlp-app
    submodules: true
    gradle:
      - NetworkLocation
    prebuild:
      - pushd ..
      - find . -type f -print0 -name build.gradle | xargs -0 sed -i -e '/com.github.dcendents/d'
      - popd

  - versionName: 1.6.7
    versionCode: 20170
    commit: v1.6.7
    subdir: unifiednlp-app
    submodules: true
    gradle:
      - NetworkLocation
    prebuild:
      - pushd ..
      - find . -type f -print0 -name build.gradle | xargs -0 sed -i -e '/com.github.dcendents/d'
      - popd

  - versionName: 1.6.8
    versionCode: 20187
    commit: v1.6.8
    subdir: unifiednlp-app
    submodules: true
    gradle:
      - NetworkLocation
    prebuild:
      - pushd ..
      - find . -type f -print0 -name build.gradle | xargs -0 sed -i -e '/com.github.dcendents/d'
      - popd

AutoUpdateMode: Version v%v
UpdateCheckMode: Tags
UpdateCheckName: org.microg.nlp.app
CurrentVersion: 1.6.8
CurrentVersionCode: 20187
